# Request for contributions

OpenAid thrives off from the contributions of its community members. We're always looking for help with:
* Bug testing
* Documentation improvements
* Drupal development
* Drupal site building
* Design direction
* Feature suggestions
* User experience feedback

# How to contribute
If you're interested in contributing, we'd love to connect directly. Email us at openaid@aten.io and we can help get you plugged in.

## Prerequisites
- Familiarity with [pull requests](https://help.github.com/articles/using-pull-requests) and [issues](https://guides.github.com/features/issues/).
- Knowledge of [Markdown](https://help.github.com/articles/markdown-basics/) for editing `.md` documents.

_Feel free to email us if you'd like further assistance familiarizing yourself with making pull requests and working with issues_.

## How OpenAid is structured
When building out OpenAid using drush make contributed modules lives at sites/all/modules/contrib. This is to separate contrib modules from the OpenAid repo. When downloading and installing OpenAid from the project page, those contributed modules live instead at profiles/openaid/modules/contrib.

The OpenAid Theme lives at profiles/openaid/themes.


## Start Contributing!
1. Install OpenAid (see README.md)
2. Check out a feature branch (git checkout -b feature-name)
3. Make a commit

# Back-end Development
Pre-requisites:
Any or all of the following-
* Beginning/Intermediate PHP (learn PHP)
* JavaScript
** Leaflet development

# Content Strategy

# Documentation

# Drupal Site Building
Pre-requisites

* Beginning/Intermediate Site Building Experience (Learn Site Building)


# Front-end Development

# Information Architecture

# Outreach

# Product Testing

# Training

# User Experience Design

# User Research

# Visual Design


#
# Code Promotion Workflow

# Environments

## Development

## Staging

# Project Management

We're always looking for help managing OpenAid. If you're interested, shoot us an email at openaid@aten.io

## Creating Issues

### Issue Labels

## Milestones

# Conduct

We are committed to providing a friendly, safe and welcoming environment for all, regardless of gender, sexual orientation, disability, ethnicity, religion, or similar personal characteristic.

On Slack, please avoid using overtly sexual nicknames or other nicknames that might detract from a friendly, safe and welcoming environment for all.

Please be kind and courteous. There's no need to be mean or rude.
Respect that people have differences of opinion and that every design or implementation choice carries a trade-off and numerous costs. There is seldom a right answer, merely an optimal answer given a set of values and circumstances.

Please keep unstructured critique to a minimum. If you have solid ideas you want to experiment with, make a fork and see how it works.

We will exclude you from interaction if you insult, demean or harass anyone. That is not welcome behaviour. We interpret the term "harassment" as including the definition in the
[Citizen Code of Conduct](http://citizencodeofconduct.org/);
if you have any lack of clarity about what might be included in that concept, please read their definition. In particular, we don't tolerate behavior that excludes people in socially marginalized groups.

Private harassment is also unacceptable. No matter who you are, if you feel you have been or are being harassed or made uncomfortable by a community member, please contact one of the channel ops or any of the [OpenAid](https://github.com/AtenDesignGroup/openaid) leadership team immediately. Whether you're a regular contributor or a newcomer, we care about making this community a safe place for you and we've got your back.

Likewise any spamming, trolling, flaming, baiting or other attention-stealing behaviour is not welcome.

# Communication

GitHub issues are the primary way for communicating about specific proposed changes to this project.

Please follow the conduct guidelines above. Language issues are often contentious and we'd like to keep discussion brief, civil and focused on what we're actually doing, not wandering off into too much imaginary stuff.
