<title>OpenAid Distribution</title>

# About OpenAid
OpenAid is a free and open source website starter kit designed to help cause-driven organizations create feature-rich websites, effectively promoting their work and mobilizing their supporters.

## Vision

We envision a world in which all people have the tools to communicate their stories in order to impact the world for the better. These tools should be available for anyone to use, be accountable to their community of users and free for anyone to fork or modify as they see fit.

## Mission

To provide a free and open source digital publishing platform designed and developed by and for those working for the freedom and dignity of people and the health of the planet.

## Goals

1. To establish OpenAid as a popular tool for grassroots and nonprofit organizations to establish their online presence.
2. To enable nonprofit organizations to access high quality design and development features within their budgetary restraints.
3. To streamline development work by creating modular, reusable features via Atom modules and shared Feature modules


# Getting Started
For full details on contributing to OpenAid see the CONTRIBUTING.md file. This file includes:
* Code promotion workflow
* Design guidelines
* Information Architecture workflows
* User testing instructions
* Requesting features
* Reporting bugs


## Installing OpenAid
Requirements:
The same as <a href="https://www.drupal.org/requirements">Drupal 7 Requirements</a>.

1. Clone the repository
2. Create a full Drupal site using drush make <code>drush make openaid/build-openaid.make</code>
3. Create a mysql database
4. Run through the OpenAid install process at <code>yoursite.dev/install.php</code>

## Configuring OpenAid
Documentation on configuring OpenAid are found on its <a href="https://www.drupal.org/node/2051589">drupal.org documentation page</a>.

## Support

If you're stuck search the documentation pages at https://www.drupal.org/node/2051537. If you cannot find your answer there, open an issue on the github project or email the project maintainers at openaid@aten.io







